#include "stdafx.h"

#define AUDIO_API __declspec(dllexport)

#include  "Common.h"

CMusic	theMusic;

AUDIO_API void	audInitMusic(HWND hWnd)
{
	theMusic.CreateDirectMusicSystem(hWnd);
}

AUDIO_API void	audLoadMusicFromFile(DWORD dwID, CString BMPFile)
{
	theMusic.LoadMusicFromFile(dwID, BMPFile);
}

AUDIO_API void	audPlayMusic(DWORD dwID)
{
	theMusic.PlayMusic(dwID);	
}

AUDIO_API void	audPlaySound(DWORD dwID)
{
	theMusic.PlaySound(dwID);
}

AUDIO_API void	audStopMusic(DWORD dwID)
{
	theMusic.StopMusic(dwID);	
}

AUDIO_API void audDeinitMusic()
{
	theMusic.DeinitMusic();
}

AUDIO_API void	audIncreaseMusicVolume()
{
	theMusic.IncreaseMusicVolume();
}

AUDIO_API void	audDecreaseMusicVolume()
{
	theMusic.DecreaseMusicVolume();
}

AUDIO_API int	audGetMusicVolume()
{
	return theMusic.GetMusicVolume();
}