

#ifndef AUDIO_COMMON_H
	#define AUDIO_COMMON_H
	//
	// Include own common
	#include "..\Common\Common.h"
	//
	// Include DMusic
	#define INITGUID
	#define	DWORD_PTR	DWORD
	#include <dmusici.h>
	//
	// Export/import macros
	#ifndef AUDIO_API
		#define AUDIO_API  __declspec( dllimport )
	#endif // AUDIO_API
			
	#include "Music.h"
	//
	// Exported functions
	AUDIO_API void	audInitMusic(HWND hWnd);
	AUDIO_API void	audDeinitMusic();
	AUDIO_API void	audLoadMusicFromFile(DWORD dwID, CString BMPFile);
	AUDIO_API void	audIncreaseMusicVolume();
	AUDIO_API void	audDecreaseMusicVolume();
	AUDIO_API int	audGetMusicVolume();	
	AUDIO_API void	audPlayMusic(DWORD dwID);
	AUDIO_API void	audStopMusic(DWORD dwID);
	AUDIO_API void	audPlaySound(DWORD dwID);

#endif // AUDIO_COMMON_H